This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
perldelta entry for 52f0602 (IO upgrade)
[perl5.git] / cpan / version / t / 03require.t
1 #! /usr/local/perl -w
2 # Before `make install' is performed this script should be runnable with
3 # `make test'. After `make install' it should work as `perl test.pl'
4
5 #########################
6
7 use Test::More qw/no_plan/;
8 use File::Spec;
9
10 BEGIN {
11     my $coretests = File::Spec->rel2abs(
12         File::Spec->catpath(
13             (File::Spec->splitpath($0))[0,1], 'coretests.pm'
14         )
15     );
16     require $coretests;
17 }
18
19 # Don't want to use, because we need to make sure that the import doesn't
20 # fire just yet (some code does this to avoid importing qv() and delare()).
21 require_ok("version");
22 is $version::VERSION, 0.9929, "Make sure we have the correct class";
23 ok(!"main"->can("qv"), "We don't have the imported qv()");
24 ok(!"main"->can("declare"), "We don't have the imported declare()");
25
26 BaseTests("version","new",undef);
27 BaseTests("version","parse",undef);